package controller

import (
	"github.com/rs/zerolog"
	"web-qudo-be/app/module/activity_logs/service"
)

type Controller struct {
	ActivityLogs ActivityLogsController
}

func NewController(ActivityLogsService service.ActivityLogsService, log zerolog.Logger) *Controller {
	return &Controller{
		ActivityLogs: NewActivityLogsController(ActivityLogsService, log),
	}
}
